package com.chinaitop.depot.intelligent.basicdata.mapper;

import com.chinaitop.depot.intelligent.basicdata.model.TWarningThresholdList;
import com.chinaitop.depot.intelligent.basicdata.model.TWarningThresholdListExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TWarningThresholdListMapper {
    int countByExample(TWarningThresholdListExample example);

    int deleteByExample(TWarningThresholdListExample example);

    int deleteByPrimaryKey(String id);

    int insert(TWarningThresholdList record);

    int insertSelective(TWarningThresholdList record);

    List<TWarningThresholdList> selectByExample(TWarningThresholdListExample example);

    TWarningThresholdList selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TWarningThresholdList record, @Param("example") TWarningThresholdListExample example);

    int updateByExample(@Param("record") TWarningThresholdList record, @Param("example") TWarningThresholdListExample example);

    int updateByPrimaryKeySelective(TWarningThresholdList record);

    int updateByPrimaryKey(TWarningThresholdList record);

    /**
     * 根据时间和组织编码查询多仓房编码,组织编码拦截器获取
     * @param updateTime
     * @return
     */
    String getCfCodeByTime(String updateTime);
}